//
//  HomeDetailProtocols.swift
//  UpaxMovie
//
//  Created Imo on 29/02/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import Foundation

//MARK: Presenter -> Router
protocol HomeDetailWireframeProtocol: AnyObject {
    
}

//MARK: View -> Presenter
protocol HomeDetailPresenterProtocol: AnyObject {
    var interactor: HomeDetailInteractorInputProtocol? { get set }
    
    func movieRecommendations(_ page: Int, movieId: Int, completion: @escaping (MovieResponse?) -> Void )
}

//MARK: Interactor -> Presenter
protocol HomeDetailInteractorOutputProtocol: AnyObject {
    
}

//MARK: Presenter -> Interactor
protocol HomeDetailInteractorInputProtocol: AnyObject {
    var presenter: HomeDetailInteractorOutputProtocol?  { get set }
    
    func movieRecommendations(_ page: Int, movieId: Int, completion: @escaping (MovieResponse?) -> Void )
}

//MARK: Presenter -> View
protocol HomeDetailViewProtocol: AnyObject {
    var presenter: HomeDetailPresenterProtocol?  { get set }
}
